## ThunarProgressDialog ThunarProgressDialog |

## Functions

GtkWidget * | thunar_progress_dialog_new ()
GList * | thunar_progress_dialog_list_jobs ()
void | thunar_progress_dialog_add_job ()
gboolean | thunar_progress_dialog_has_jobs ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── ThunarProgressDialog

## Description

## Functions

### thunar_progress_dialog_new ()

    GtkWidget *
    thunar_progress_dialog_new (void);

### thunar_progress_dialog_list_jobs ()

    GList *
    thunar_progress_dialog_list_jobs (ThunarProgressDialog *dialog);

Return a list of non-cancelled ThunarJob

The caller is responsible to free the returned list using `g_list_free()` when no longer needed.

#### Parameters

dialog | a ThunarProgressDialog instance |

#### Returns

non-cancelled ThunarJob list or `NULL` if the list is empty.

### thunar_progress_dialog_add_job ()

    void
    thunar_progress_dialog_add_job (ThunarProgressDialog *dialog,
                                    ThunarJob *job,
                                    const gchar *icon_name,
                                    const gchar *title);

### thunar_progress_dialog_has_jobs ()

    gboolean
    thunar_progress_dialog_has_jobs (ThunarProgressDialog *dialog);